Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etkra.protocol.v1
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.etkra.protocol.v1.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.etkra.protocol.v1 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.etkra.protocol.v1

Method Summary
`ActivateETKRequest` | `createActivateETKRequest()` Create an instance of `ActivateETKRequest`
`ActivateETKResponse` | `createActivateETKResponse()` Create an instance of `ActivateETKResponse`
`CompleteEtkRegistrationRequest` | `createCompleteEtkRegistrationRequest()` Create an instance of `CompleteEtkRegistrationRequest`
`CompleteEtkRegistrationResponse` | `createCompleteEtkRegistrationResponse()` Create an instance of `CompleteEtkRegistrationResponse`
`ContactDataType` | `createContactDataType()` Create an instance of `ContactDataType`
`EhealthDistinguishedNameType` | `createEhealthDistinguishedNameType()` Create an instance of `EhealthDistinguishedNameType`
`ErrorType` | `createErrorType()` Create an instance of `ErrorType`
`GetValidAuthCertsRequest` | `createGetValidAuthCertsRequest()` Create an instance of `GetValidAuthCertsRequest`
`GetValidAuthCertsResponse` | `createGetValidAuthCertsResponse()` Create an instance of `GetValidAuthCertsResponse`
`ProcessCsrRequest` | `createProcessCsrRequest()` Create an instance of `ProcessCsrRequest`
`ProcessCsrResponse` | `createProcessCsrResponse()` Create an instance of `ProcessCsrResponse`
`RaResponseType` | `createRaResponseType()` Create an instance of `RaResponseType`
`RevokeAndActivateRequest` | `createRevokeAndActivateRequest()` Create an instance of `RevokeAndActivateRequest`
`RevokeAndActivateResponse` | `createRevokeAndActivateResponse()` Create an instance of `RevokeAndActivateResponse`
`RevokeRequest` | `createRevokeRequest()` Create an instance of `RevokeRequest`
`RevokeResponse` | `createRevokeResponse()` Create an instance of `RevokeResponse`
`SignedCredentialsType` | `createSignedCredentialsType()` Create an instance of `SignedCredentialsType`
`StartEtkRegistrationRequest` | `createStartEtkRegistrationRequest()` Create an instance of `StartEtkRegistrationRequest`
`StartEtkRegistrationResponse` | `createStartEtkRegistrationResponse()` Create an instance of `StartEtkRegistrationResponse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.etkra.protocol.v1

Method Detail

### createStartEtkRegistrationRequest

    public StartEtkRegistrationRequest createStartEtkRegistrationRequest()

  Create an instance of `StartEtkRegistrationRequest`

### createStartEtkRegistrationResponse

    public StartEtkRegistrationResponse createStartEtkRegistrationResponse()

  Create an instance of `StartEtkRegistrationResponse`

### createRaResponseType

    public RaResponseType createRaResponseType()

  Create an instance of `RaResponseType`

### createErrorType

    public ErrorType createErrorType()

  Create an instance of `ErrorType`

### createCompleteEtkRegistrationRequest

    public CompleteEtkRegistrationRequest createCompleteEtkRegistrationRequest()

  Create an instance of `CompleteEtkRegistrationRequest`

### createSignedCredentialsType

    public SignedCredentialsType createSignedCredentialsType()

  Create an instance of `SignedCredentialsType`

### createCompleteEtkRegistrationResponse

    public CompleteEtkRegistrationResponse createCompleteEtkRegistrationResponse()

  Create an instance of `CompleteEtkRegistrationResponse`

### createGetValidAuthCertsRequest

    public GetValidAuthCertsRequest createGetValidAuthCertsRequest()

  Create an instance of `GetValidAuthCertsRequest`

### createEhealthDistinguishedNameType

    public EhealthDistinguishedNameType createEhealthDistinguishedNameType()

  Create an instance of `EhealthDistinguishedNameType`

### createGetValidAuthCertsResponse

    public GetValidAuthCertsResponse createGetValidAuthCertsResponse()

  Create an instance of `GetValidAuthCertsResponse`

### createProcessCsrRequest

    public ProcessCsrRequest createProcessCsrRequest()

  Create an instance of `ProcessCsrRequest`

### createContactDataType

    public ContactDataType createContactDataType()

  Create an instance of `ContactDataType`

### createProcessCsrResponse

    public ProcessCsrResponse createProcessCsrResponse()

  Create an instance of `ProcessCsrResponse`

### createActivateETKRequest

    public ActivateETKRequest createActivateETKRequest()

  Create an instance of `ActivateETKRequest`

### createActivateETKResponse

    public ActivateETKResponse createActivateETKResponse()

  Create an instance of `ActivateETKResponse`

### createRevokeAndActivateRequest

    public RevokeAndActivateRequest createRevokeAndActivateRequest()

  Create an instance of `RevokeAndActivateRequest`

### createRevokeAndActivateResponse

    public RevokeAndActivateResponse createRevokeAndActivateResponse()

  Create an instance of `RevokeAndActivateResponse`

### createRevokeRequest

    public RevokeRequest createRevokeRequest()

  Create an instance of `RevokeRequest`

### createRevokeResponse

    public RevokeResponse createRevokeResponse()

  Create an instance of `RevokeResponse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.